Subject: RE: Why won't #!/bin/sh scripts run on their own?
From: [email-masked] (Bill Tutt)

13 Apr 1997 02:34:29 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "'John A. Lewis'" <[email-masked]>, [email-masked]
X-Priority: 3
X-Mailer: Internet Mail Service (5.0.1458.8)
Original-Sender: [email-masked]

The typical reason for this to happen is that your current directory
isn't in your path.
Doing: ./test.sh should work if this is the case.
The solution is to make sure that '.' is in your path.

Bill Tutt
[email-masked]
Just a programmer, and not part of MS's PR machine.

> -----Original Message-----
> From:	John A. Lewis [SMTP:[email-masked]]
> Sent:	Saturday, April 12, 1997 11:53 PM
> To:	[email-masked]
> Subject:	Why won't #!/bin/sh scripts run on their own?
> 
> Sorry for the bandwidth, but I can't find a reference to this problem
> anywhere in the FAQ, docs, or ml archive.
> 
> My shell scripts which have the #! declaration on the first line show
> up
> in 'ls -l' as executable, but when I try to invoke them, they wont
> run. 
> Here is a session that demonstrates the problem:
> 
> /home> ls -l
> total 1
> -rwxr-xr-x   1 500      everyone       24 Apr 12 23:47 test.sh
> /home> cat test.sh
> #!/bin/sh
> echo testing!
> /home> /bin/sh test.sh
> testing!
> /home> sh test.sh
> testing!
> /home> test.sh
> BASH.EXE: ./test.sh: No such file or directory
> /home>
> 
> Anyone have any ideas how to fix this?
> 
> This is happening under Win95 at home.  I am also running the same
> install under NT 4.0 at work, and this problem doesn't show up.
> 
> Thanks!
> 
> John A. Lewis ([email-masked])
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".